 ==============================================================
 PsychoMod Final - Server Side Mod
 --------------------------------------------------------------
 by psychospaz (psychospaz@telefragged.com)
 --------------------------------------------------------------
 Everything, unless stated otherwise, was coded by psychospaz.
 ==============================================================

 Installation:

	-unzip the zip into the quake2 directory
	-start up quake2
	-type "game psychomod" in the console
	-start a server or sp game

 Server Variables:
	-sv_matrix	  - { toggle matrix mode on/off in SP (1/0) }
	-sv_stunts	  - { toggles usage of stunts on server (1/0) }
	-sv_team	  - { enchanced teamplay mode }
	-sv_bulletmarks   - { server bullet mark limit value }
	-sv_tracers	  - { server tracer limit value }
	-sv_cheats        - { cheats on / off (1/0) }
	-sv_laser_type	  - { 0-None / 1-LaserBall / 2-LaserBeam / 3-Both }
	-sv_fall	  - { fall damage (.5 > sv_fall > 5) }
	-sv_MonsterSeeMin - { monsters u see to set off matrix mode }
	-sv_matrix	  - { SP Matrix Mode on / off (1/0) }
	-sv_chatdistance  - { distance from speaking player a message will be to be received }
	-sv_stunt_door    - { stunt key activating doors and buttons on / off (1/0)  }
	-sv_realbullets   - { SP bullets in Coop or DM on / off (1/0) }
	-sv_grapple	  - { Spawn with grapple on / off (1/0) }
	-motd		  - { MessageOfTheDay - Server message }
 (Set in server's config file by:
	set varname "value")

 Server Specific Commands:
	-"helpsv" 	  - { displays the list below in game }
	-"sv nextmap" 	  - { Goes to the next targeted map [for SP or Coop] }
	-"sv team" 	  - { toggles teamplay on/off }
	-"sv bulletmarks" - { set bullet mark limit value }
	-"sv tracers"	  - { toggles tracers for bullets }
	-"sv cheats"      - { toggles cheats on/off for server }
	-"sv spawn"       - { adds a monster into a DM server - see below }
	-"day"		  - { length of a 'day' in minutes - by Warzone }

 Server Specific Command Arguments:
	-*sv spawn*-
		-"Berserk" - { Adds a Berserk monster }
		-"Gunner"  - { Adds a Gunner monster }
		-"Infantry"- { Adds a Infantry monster }
		-"Soldier1"- { Adds a Blaster Soldier monster }
		-"Soldier2"- { Adds a Shotgun Soldier monster }
		-"Soldier3"- { Adds a SMG Soldier monster }
		-"Chick"   - { Adds a Chick monster }
		-"Mutant"  - { Adds a Mutant monster }
		-"Hover"   - { Adds a Hover monster }
		-"Floater" - { Adds a Floater monster }

 Client Specific Commands:
	-"id"		  - { enables player identification system }
	-"helpme"	  - { displays the list below in game }
	-"block" 	  - { takes a clients name as param and add them to chatblock list }
	-"unblock"	  - { takes a clients name as param and removes them from chatblock list }
	-"team" 	  - { sets the team that you are on }
	-"bfgcolor"       - { changes BFG laser color (0:Blue/1:Red/2:Green) }
	-"firemode"       - { toggles weapon fire mode if present }
	-"+hook"          - { uses grappling hook }
	-"+zoom"          - { weapon zoom in }
	-"+use"           - { SlowMo mode (SP only) }
	-"+stunt"         - { Stunts have special controls:
				Face Enemy && Jump && In Air && "+stunt" = Kick with Backflip
				Face Wall && Jump && In Air && "+stunt"  = Wall Jump with Backflip
				Face Wall && In Air && "+stunt"		 = Climbing  }
				Moving For/Back && Jump && "+stunt"	 = Diving with Prone
				Moving Strafe && Jump && "+stunt"	 = Diving with Roll
				Moving Direction && Crouch && "+stunt"	 = Roll in Direction
	-"grappletype"	  - { 1st Parameter is render Style:
				0 = Rope
				1 = Lithium
			      2nd Parameter is grapple Style:
				0 = PsychoMod Grapple
				1 = Lithium Style Grapple
				2 = Rope Grapple }
	-"viewcam"	  - { Turns on viewcam for when dead. Has controls:
				Fire		- Respawn
				Jump		- Locked Cam
				Crouch		- Free Cam
				Strafe Keys 	- Cycle Clients
				InvCycle Keys 	- Cycle Monsters }
				
 Weapons:
	-*BLASTER*-
		-1st- { .50 Calibre Handgun - Normal Ammo }
		-2st- { .50 Calibre Handgun - Speed Shots }
		-3st- { .50 Calibre Handgun - Flare Casing }
		-4st- { .50 Calibre Handgun - No Ammo - Swat }
	-*SHOTGUN*-
		-1st- { Auto-Shotgun }
		-2nd- { Auto-Cannon }
	-*SUPER SHOTGUN*-
		-1st- { 12 Gauge Shotgun }
		-2st- { 12 Gauge Shotgun Slugs }
	-*MACHINEGUN*-
		-1st- { SubMachinegun Standard Fire Mode }
		-2nd- { SubMachinegun Controlled Fire Mode }
	-*CHAINGUN*-
		-1st- { MiniGun }
		-2nd- { Rotary Shotgun }
	-*GRENADE LAUNCHER*-
		-1st- { Grenade Launcher (Standard Grenades - All Types ) }
		-2nd- { Grenade Launcher (Sticky Grenades - All Types ) }
	-*ROCKET LAUNCHER*-
		-1st- { Rocket Launcher (Direct Fire) }
		-2nd- { Rocket Launcher (Indirect Fire) }
		-LAS- { With Laser - Guided }
		-LOK- { With Laser Lock - Seeking }
	-*HYPERBLASTER*-
		-1st- { Flamethrower (Close Range - High Damage) }
		-2nd- { Plasma Rifle (Long Range - Low Damage) }
	-*RAILGUN*-
		-1st- { .50 Calibre Sniper Rifle }
		-1st- { Tazer }
	-*BFG10K*-
		-1st- { Super Bomb Launcher (!Big F**king Gun!) }
		-2nd- { Super Laser Gun (!Big F**king Gun!) }
	-*GRENADES*-
		-1st- { Fragmentation Grenades }
		-2nd- { Gas Grenades }
		-3nd- { Cluster Grenades }
		-4nd- { Flashbangs }

 Items:
	Laser Sight 	   - { Target enemy more accurately }
	(Icon-Silencer)

	Flashlight 	   - { Light up a little area }
	(Icon-Question)

	C-4 Explosive	   - { Stick a slab of C-4 to a wall or person }
	(Icon-Grenade)

	Diving Mask	   - { Underwater Breathing , Protects your head, Filters Gas, Speed Swimming }
	(Icon-Mask)

	Regen-Stealth Suit - { Reduces damage, Health regeneration, Higher jump , Stealth, KungFu Mode, 2ndary Fire Magic(tm) }
	(Icon-EnviroSuit)	

	Jet Propulsion Unit- { Jetpack for extra mobility }
	(Icon-PowerArmor)

	Grapple	 	   - { Gives you extra mobility }
	(Icon-Turtle)

 *Extra Notes:
	- Crouching increases accuracy.
	- Fire, C4 and sticky Grenades stick to clients.
	- Body Armor protects from all fire.
	- Doing a roll will get rid of fire on a client.
	- The Regen-Stealth Suit's 2ndary fire will telefrag your victim.
	- Holding crouch while falling reduces damage and initiates a roll on landing.

.